Run of lintian-fixes for rust-rust-ini

Try this locally (using the lintian-brush package):

debcheckout rust-rust-ini
cd rust-rust-ini
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/rust-rust-ini lintian-fixes/main

Summary

Diff

diff --git a/src/rust-ini/debian/changelog b/src/rust-ini/debian/changelog
index e12c09fd..b329d6bd 100644
--- a/src/rust-ini/debian/changelog
+++ b/src/rust-ini/debian/changelog
@@ -1,3 +1,12 @@
+rust-rust-ini (0.16.0-3) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
+    Repository-Browse.
+  * Add debian/watch file, using github.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 07 Mar 2021 04:44:55 -0000
+
 rust-rust-ini (0.16.0-2) unstable; urgency=medium
 
   * Package rust-ini 0.16.0 from crates.io using debcargo 2.4.4-alpha.0
@@ -10,4 +19,3 @@ rust-rust-ini (0.16.0-1) unstable; urgency=medium
   * Package rust-ini 0.16.0 from crates.io using debcargo 2.4.4-alpha.0
 
  -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Dec 2020 17:23:07 +0100
-
diff --git a/src/rust-ini/debian/upstream/metadata b/src/rust-ini/debian/upstream/metadata
new file mode 100644
index 00000000..1dc6b5c2
--- /dev/null
+++ b/src/rust-ini/debian/upstream/metadata
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/zonyitoo/rust-ini/issues
+Bug-Submit: https://github.com/zonyitoo/rust-ini/issues/new
+Repository: https://github.com/zonyitoo/rust-ini.git
+Repository-Browse: https://github.com/zonyitoo/rust-ini
diff --git a/src/rust-ini/debian/watch b/src/rust-ini/debian/watch
new file mode 100644
index 00000000..8f857944
--- /dev/null
+++ b/src/rust-ini/debian/watch
@@ -0,0 +1,2 @@
+version=4
+opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/rust-ini-$1\.tar\.gz/ https://github.com/zonyitoo/rust-ini/tags .*\/v(\d\S+)\.tar\.gz

Debdiff

File lists identical (after any substitutions)

No differences were encountered in the control files

Publish History

  • 2021-05-07T22:31: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/rust-team/debcargo-conf.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/rust-team/debcargo-conf.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-03-20T02:25: Failed to create merge proposal: nothing-to-do (not enough changes for a new merge proposal)
  • 2021-03-20T02:25: Failed to create merge proposal: nothing-to-do (not enough changes for a new merge proposal)
  • 2021-03-14T15:22: Changes not significant enough for merge request. (Success)
  • 2021-03-14T15:22: Changes not significant enough for merge request. (Success)
  • 2021-03-14T11:44: Changes not significant enough for merge request. (Success)
  • 2021-03-14T08:53: Changes not significant enough for merge request. (Success)
  • 2021-03-14T05:33: Changes not significant enough for merge request. (Success)
  • 2021-03-14T01:14: Changes not significant enough for merge request. (Success)
  • 2021-03-13T18:20: Changes not significant enough for merge request. (Success)

Full worker log Full build log